Subject: Re: fitsio without file access

From: Doug Mink <dmink at cfa.harvard.edu>
Date: Mon, 03 Feb 1997 15:06:48 -0500

Martin Beckett wrote:
> 
> I need to read and write fits files without necessarily having
> a random access file, eg. to shared memory or Tcl i/o streams.
> Idealy I would like the fits file to be created as just an
> area in memory.
> 
> Unfortunately CFITSIO needs a real file.  I could create a
> temporary disk file and mmap() it back into memory but that
> seems a bit daft.
> 
> Are there any other C/C++ fits libraries, or a patch to cfitsio
> out there ?  Basically I'm too lazy to reinvent everything

Depending on how much functionality you need, you might be able to use
the FITS software in my WCSTools package.  Most of the FITS subroutines
can work on images and headers in memory.  It is documented at

   http://tdc-www.harvard.edu/software/wcstools

-Doug Mink